#***************************************************************************
# Licensed Materials - Property of IBM
# 5697-ENV
# (C) COPYRIGHT IBM Corporation 2002.  All rights reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corporation.
#***************************************************************************
#
# Component Name: NetView Web Application Install Script 
# Script Name:    install_ja.sh
# Build scripts 5.1.0.2 Services Japanese version
#***************************************************************************
# Notes:
#   if websphere is selected, then install znetview_webapp_ja-websphere-5.1-0.2.s390.rpm 
#   if jetty is selected, then install znetview_webapp_ja-jetty-5.1-0.2.s390.rpm
#   if SNMP is selected, then install znetview_webapp_ja-snmp-5.1-0.2.s390.rpm
#   if Web XML Editor Utility is selected, then install znetview_webapp_ja-webxmleditor-5.1-0.2.s390.rpm
#*************************************************************************************

# initialize answers
answer=n
web_answer=n
jet_answer=n
snmp_answer=n
editor_answer=n
install_items=.
continue=2

# ask the user which type of installation they want
echo "Select the features of NetView Web Application you want to install:"
echo "1) Full Installation (WebSphere EAR file , Jetty Web Server, SNMP Server, and Web XML Editor Utility)"
echo "2) Custom Installation (you choose the features you want to install)"
read answer

if [ $answer = 1 ]  
then
   web_answer=y
   jet_answer=y
   snmp_answer=y
   ed_answer=y
else
 echo 
 echo "Choose any combination of the following:"
 echo "   WebSphere"
 echo "   Jetty Web Server"
 echo "   SNMP Server"
 echo "   Web XML Editor Utility"
 echo
 echo "Do you want to install the WebSphere feature? (y/n)"
 read web_answer
 if [ $web_answer = 'Y' ]
 then
    web_answer=y
 fi

 echo "Do you want to install the Jetty Web Server feature? (y/n)"
 read jet_answer
 if [ $jet_answer = 'Y' ]
 then
    jet_answer=y
 fi
 
 echo "Do you want to install the SNMP Server feature? (y/n)"
 read snmp_answer
 if [ $snmp_answer = 'Y' ]
 then
    snmp_answer=y
 fi 
 
 echo "Do you want to install the Web XML Editor Utility feature? (y/n)"
 read ed_answer
 if [ $ed_answer = 'Y' ]
 then
    ed_answer=y
 fi

fi

# figure out what files are to be installed           
rm -f final_file
if ( [ $web_answer != y ] && [ $jet_answer != y ] && [ $snmp_answer != y ] && [ $ed_answer != y ] )
then 
   echo "You did not select anything to be installed, exiting."
   exit
fi 

echo
echo
echo "You chose to install the following feature(s):"
echo
if [ $web_answer = y ] 
then
echo "WebSphere"
fi
if [ $jet_answer = y ]
then
echo "Jetty Web Server"
fi
if [ $snmp_answer = y ]
then
echo "SNMP Server"
fi
if [ $ed_answer = y ]
then
echo "Web XML Editor Utility"
fi

echo
echo "Press 1 to continue."
echo
read continue

# make sure $continue is not null
if [ -z $continue ] 
then
   continue=2 
fi 

if [ $continue != 1 ]
then
   exit
fi

# verify files to be installed are not already installed
echo 'Verifying files are not already installed on your machine... '
rpm -qa | grep znetview_webapp_ja >znetview.temp


websphere=`cat znetview.temp | grep "znetview_webapp_ja-websphere-5.1"`
jetty=`cat znetview.temp | grep "znetview_webapp_ja-jetty-5.1"`
snmp=`cat znetview.temp | grep "znetview_webapp_ja-snmp-5.1"`
ed=`cat znetview.temp | grep "znetview_webapp_ja-webxmleditor-5.1"`

if [ $websphere ]
then
   echo 'WebSphere is already installed, it will not be re-installed' 
   web_answer=n
fi

if [ $jetty ]
then
   echo 'Jetty Web Server is already installed, it will not be re-installed'
   jet_answer=n
fi

if [ $snmp ]
then
   echo 'SNMP Server is already installed, it will not be re-installed'
   snmp_answer=n
fi

if [ $ed ]
then 
   echo 'Web XML Editor Utility is already installed, it will not be re-installed'
   ed_answer=n
fi

# install items

if [ $web_answer = y ] 
then 
  echo 'Installing WebSphere feature... '
  rpm -i znetview_webapp_ja-websphere-5.1-0.2.s390.rpm
fi
     
if [ $jet_answer = y ]
then
  echo 'Installing Jetty Web Server feature... '     
  rpm -i znetview_webapp_ja-jetty-5.1-0.2.s390.rpm
fi

if [ $snmp_answer = y ]
then
  echo 'Installing SNMP Server feature... '
  rpm -i znetview_webapp_ja-snmp-5.1-0.2.s390.rpm
fi
   
if [ $ed_answer = y ]
then
  echo 'Installing Web XML Editor Utility feature... '
  rpm -i znetview_webapp_ja-webxmleditor-5.1-0.2.s390.rpm
fi



