#***************************************************************************
# Licensed Materials - Property of IBM
# 5697-ENV
# (C) COPYRIGHT IBM Corporation 2002.  All rights reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corporation.
#***************************************************************************
#
# Component Name: NetView Web Application Uninstall Script
# Script Name:    uninstall_ja.sh
# Builds script for 5.1.0.2 Japanese version
#***************************************************************************
# Notes:
#   if websphere is selected, then erase znetview_webapp_ja-websphere-5.1-0.2.s390.rpm
#   if jetty is selected, then erase znetview_webapp_ja-jetty-5.1-0.2.s390.rpm
#   if SNMP is selected, then erase znetview_webapp_ja-snmp-5.1-0.2.s390.rpm
#   if Web XML Editor Utility is selected, then erase znetview_webappp_ja-webxmleditor-5.1-0.2.s390.rpm
#**************************************************************************
# initialize answers
web_answer=n
jet_answer=n
snmp_answer=n
ed_answer=n

# Find out what applications are on the machine

echo 'Querying the NetView Web Application features installed... '
rpm -qa | grep znetview_webapp_ja >znetview.temp

websphere=`cat znetview.temp | grep znetview_webapp_ja-websphere-5.1`
jetty=`cat znetview.temp | grep znetview_webapp_ja-jetty-5.1`
snmp=`cat znetview.temp | grep znetview_webapp_ja-snmp-5.1`
ed=`cat znetview.temp | grep znetview_webapp_ja-webxmleditor-5.1`

if [ $websphere ]
then
   echo 'Do you want to remove the WebSphere feature? (y/n)'
   read web_answer
   
   if [[ $web_answer == [Yy]* ]]
   then

      echo 'Removing WebSphere feature... '
      rpm -e $websphere
   fi
fi

if [ $jetty ]
then
   echo 'Do you want to remove the Jetty Web Server feature? (y/n)'
   read jet_answer

   if [[ $jet_answer == [Yy]* ]]
   then
      echo 'Removing Jetty Web Server feature... '    
      rpm -e $jetty
   fi
fi

                                                           
if [ $snmp ]
then
   echo 'Do you want to remove the SNMP Server feature? (y/n)'
   read snmp_answer

   if [[ $snmp_answer == [Yy]* ]]
   then
      echo 'Removing SNMP Server feature... '
      rpm -e $snmp
   fi
fi

if [ $ed ]
then
   echo 'Do you want to remove the Web XML Editor Utility feature? (y/n)'
   read ed_answer

   if [[ $ed_answer == [Yy]* ]]
   then
      echo 'Removing Web XML Editor Utility feature... '
      rpm -e $ed
   fi
fi

