#!/bin/sh

###############################################################################
# Licensed Materials - Property of Tivoli Systems
# 5697-B82
# (C) COPYRIGHT Tivoli Systems, an IBM Company 1997, 2001
# All rights reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
###############################################################################
#
# Start the WxeEditor on:
#
# AIX
# Linux on zSeries
#
###############################################################################


###############################################################################
# Isolate command line args
###############################################################################

IPATH=`pwd | sed -e "s/\/wxe\/bin//"`


###############################################################################
# Create JAVA_LIB and JAVA_CMD environment variable accourding to INTERP
# NOTE: JRE or JDK must be installed into $IPATH/../../../[INTERP]/TDS/java
###############################################################################
JAVA_LIB=""
JAVA_CMD=""


if [ -d $IPATH/jvm/jre ] ; then
{
   IJAVA="$IPATH/jvm/jre"
   PATH="$IJAVA/bin:$PATH"
   export PATH
   JAVA_CMD="$IJAVA/bin/java"
   JAVA_LIB="$IJAVA/lib/rt.jar:$IJAVA/lib/i18n.jar"
}
else
   echo 'Error: Unable to determine integrated JRE.'
        ls -d $IPATH/../../../
   exit 1
fi


LIB="$IPATH/wxe/lib"
JARS="$IPATH/wxe/jars"

CP_RUN="$LIB/wxeeuc.jar:$JARS/xerces.jar:$JARS/xalan.jar:$JARS/log4j.jar:$JAVA_LIB"
  
   
#######################################################################
# Don't use -oss option with HP platforms, but for now use with all 
# other unix platforms
#######################################################################
JAVA_OPTS="-mx64M -ms32M -oss1M $TCONSOLE_JAVAOPTS"
    

############################################################################
# On Unix systems, we must be sure that the display is exported
# or else the console won't start...
#
# if XHOST fails, abort now to avoid "hanging" below when java started
############################################################################
if [ ! "xhost +" ]
then
  echo "Unable to start this console due to XHOST failure!"
  echo "Current PATH: $PATH"
  exit 1
else
  if [ -n "$WD_DISPLAY" ]
  then
     DISPLAY="$WD_DISPLAY"
     export DISPLAY
  fi
fi

J_RUN="$JAVA_CMD $JAVA_OPTS -classpath $CP_RUN com.tivoli.wxe.WxeEditor"

echo $J_RUN
$J_RUN

exit 0
